#!/usr/bin/env python

# TQt tutorial 3.

# Trinity-specific paths
import sys, os
tqt_modules = []
for m_path in sys.path:
    if os.path.exists(os.path.join(m_path, 'sip4_tqt')):
        m_sip_dir = os.path.join(m_path, 'sip4_tqt')
        tqt_modules.insert(0, m_sip_dir)
    if os.path.exists(os.path.join(m_path, 'python_tqt')):
        m_pyqt_dir = os.path.join(m_path, 'python_tqt')
        tqt_modules.insert(0, m_pyqt_dir)
for m_path in tqt_modules:
    sys.path.insert(0, m_path)

import qt


a = qt.TQApplication(sys.argv)

box = qt.TQVBox()
box.resize(200, 120)

quit = qt.TQPushButton("Quit", box)
quit.setFont(qt.TQFont("Times", 18, qt.TQFont.Bold))

qt.TQObject.connect(quit, qt.SIGNAL("clicked()"), a, qt.SLOT("quit()"))

a.setMainWidget(box)
box.show()
sys.exit(a.exec_loop())
